installers

This commit is contained in:
Rodolfo Berrios
2024-02-16 13:29:52 -03:00
parent 6d79ec1a50
commit ab9e1a334d
3 changed files with 22 additions and 4 deletions

View File

@@ -0,0 +1,6 @@
#!/usr/bin/env bash
set -e
echo "* Cloning chevereto/docker repository"
git clone https://github.com/chevereto/docker.git
cd docker
echo "[OK] Repo chevereto/docker cloned"

View File

@@ -0,0 +1,11 @@
#!/usr/bin/env bash
set -e
if (($EUID != 0)); then
echo "[ERROR] Must execute with root privileges"
exit 1
fi
echo "* Update apt package index"
apt-get update -qq -y
echo "* Installing make unzip curl git jq"
apt-get install -qq -y make unzip curl git jq
echo "[OK] Dependencies ready"

View File

@@ -3,13 +3,13 @@
set -e
if (($EUID != 0)); then
echo "[ERROR] Must execute with root privileges"
exit
exit 1
fi
echo "* Uninstall old versions"
echo "* Uninstall old Docker versions"
apt-get remove -qq -y docker docker-engine docker.io containerd runc || true
echo "* Install using the repository"
echo "* Update apt package index and allow HTTPS"
echo "* Update apt package index"
apt-get update -qq -y
echo "* Install HTTPS"
apt-get install -qq -y \
ca-certificates \
curl \
@@ -26,3 +26,4 @@ echo "* Update apt package index"
apt-get update -qq -y
echo "* Install Docker Engine, containerd, and Docker Compose"
apt-get install -qq -y docker-ce docker-ce-cli containerd.io docker-compose-plugin
echo "[OK] Docker installed"